<?php

require_once(DIR_SYSTEM . 'library' . DIRECTORY_SEPARATOR  . 'speedup' . DIRECTORY_SEPARATOR . 'functions.php');

class ControllerExtensionModulespeedupOptimization extends Controller {
	private $error = array();

	public function index() {

        speedup01_Install_core_files();

        $this->document->addStyle('view/javascript/semantic/semantic.min.css');
        $this->document->addScript('view/javascript/semantic/semantic.min.js');

		$this->load->language('extension/module/speedupOptimization');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		
		$data['template'] = $this->config->get('config_theme');




		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			if (isset($this->request->post['action']) && $this->request->post['action'] == 'speedup01_enabled'){
                speedup01_ajax_enabled();
                die;
			}

			if (isset($this->request->post['action'])    && $this->request->post['action'] == 'speedup01_purge_all'){
                speedup01_ajax_purge_all();
                die;
			}

			$this->session->data['success'] = $this->language->get('text_success');

			if (isset($this->session->data['token'])) $this->response->redirect($this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true));
		}

		$data['heading_title'] = $this->language->get('heading_title');

		$data['text_edit'] = $this->language->get('text_edit');
		$data['text_edit_secure'] = $this->language->get('text_edit_secure');
		$data['text_edit_extra'] = $this->language->get('text_edit_extra');
		$data['text_edit_captcha'] = $this->language->get('text_edit_captcha');
		$data['text_success'] = $this->language->get('text_success');
		$data['text_extension'] = $this->language->get('text_extension');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_instructions'] = $this->language->get('text_instructions');
		$data['text_disabled'] = $this->language->get('text_disabled');


		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

		

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

        $on_file = dirname(DIR_APPLICATION) . '/webanalyze/firewall/firewall.speedup.on';
        if (!file_exists($on_file)) {
            $data['is_speedup_enabled'] = 0;
        } else {
            $data['is_speedup_enabled'] = 1;
        }


        $data['service_url'] = speedup01_ServiceURL();
        $data['ajax_url'] = $_SERVER['REQUEST_URI'];
        $data['is_speedup_installed'] = speedup01_Is_SpeedUp_module_Installed();

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_extension'),
			'href' => $this->url->link('marketplace/extension', 'token=' . $this->session->data['token'] . '&type=module' . '&tab_id=', true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('extension/module/speedupOptimization', 'token=' . $this->session->data['token'], true)
		);

		$data['action'] = $this->url->link('extension/module/speedupOptimization', 'token=' . $this->session->data['token'], true);

		$data['cancel'] = $this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true);

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/module/speedupOptimization', $data));
	}

	protected function validate() {
		 
		if (!$this->user->hasPermission('modify', 'extension/module/speedupOptimization')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
	
		return !$this->error;
	}




	public function uninstall(){
		//$this->API_Request(3);
	}	

	public function install(){
        speedup01_Install_core_files();
		//$this->API_Request(1);
	}	

    
    public function API_Request($type = '')
    {
        $plugin_code = 1;
		
		$url = $this->url->link('common/home');
		$parsed = parse_url($url);
        $website_url = $parsed['host'];
        
        $url = "https://www.siteguarding.com/ext/plugin_api/index.php";
		$data = array(
                'action' => 'inform',
                'website_url' => $website_url,
                'action_code' => $type,
                'plugin_code' => $plugin_code,
            );

		
		$result = $this->sendRequest($url, $data);
		
		
		
		
    }

	
	private function sendRequest($url, $request, $method = 'POST', $headers = false) {
		

		if (is_array($request)) $request = http_build_query($request);
		$method = strtoupper($method);
		
		$ch = curl_init($url);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	
		switch($method) {
			case 'POST':
			case 'PATCH':
				curl_setopt($ch, CURLOPT_CUSTOMREQUEST, $method);
				curl_setopt($ch, CURLOPT_POSTFIELDS, $request);
				break;
			case 'DELETE':
				curl_setopt($ch, CURLOPT_CUSTOMREQUEST, $method);
				break;
			
		}
		curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 0); 
		curl_setopt($ch, CURLOPT_TIMEOUT, 30);
		if ($headers) curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
		$response = curl_exec($ch);
		$ch_error = curl_error($ch);
		if (!empty($ch_error)) {
			return array('status' => 'error', 'reason' => $ch_error, 'report_url' => '');
		}
		$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
		curl_close($ch);
		
		if ($method == 'DELETE') return $httpCode;
		
		return @json_decode($response, true);
	}
	
	
	
}