<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="Back" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <img src="view/image/speedup/spa.png" width="80" height="80" style="margin-right:10px;"><h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  	<hr>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
	
	


    <style>
      .subhead-collapse.collapse {
        height: 0px;
        visibility: hidden;
      }
      img.help{max-width:600px}
    </style>
    <div class="wrap" style="text-align: center">
      <h1>SpeedUp Optimization (Help & Installation)</h1>

      <h3>Increasing website performance and reducing load time.</h3>
      <p>At least 10x improvement in overall site performance. Reduced page load time: increased visitor time on site. Improves web server performance.</p>

      <p>To activate SpeedUp Optimization for WordPress website please complete the following steps. It will take no more than 30 - 60 seconds.</p>

      <?php if ($is_speedup_installed) : ?>

      <h2 style="color:#13bf14">All necessary files are already installed</h2>
      <h3>Want to See Real-time Results?</h3>


      <p>
        <?php if ($is_speedup_enabled) : ?>
          <button id="speedup-enable" class="negative ui button">Disable Optimization</button>
        <?php else : ?>

          <button id="speedup-enable" class="positive ui button">Enable Optimization</button>

        <?php endif; ?>

        &nbsp;&nbsp;&nbsp; <button id="speedup-purge" class="ui button" >Purge Cache</button>



      </p>
      <?php endif; ?>

      <img style="width: 350px;" src="view/image/speedup/img.svg"/>

      <hr />

      <h2>Step 1. Create your account on our platform.</h2>

      <p>To create the account click this link <a href="<?=$service_url;?>/en/signup" target="_blank"><?php echo $link; ?></a></p>

      <h2>Step 2. Add your website into panel.</h2>
      <p><b>Click "ADD NEW WEBSITE" button:</b><br /><br /><img class="help" src="view/image/speedup/step1.png" /></p>
      <p><b>Enter your website URL:</b><br /><br /><img class="help" src="view/image/speedup/step2.png" /></p>

      <h2>Step 3. Activate SpeedUp for your website.</h2>
      <p><b>Go to "Performance & Analytics" and click on airplane icon:</b><br /><br /><img class="help" src="view/image/speedup/step3.png" /></p>
      <p><b>Activate Website Performance Optimization:</b><br /><br /><img class="help" src="view/image/speedup/step4.png" /></p>

      <hr />

      <p>

        <a href="<?=$service_url;?>/livechat/index.html" target="_blank">
          <img src="view/image/speedup/livechat.png"/>
        </a><br>

        For any questions and support please use LiveChat or this <a href="<?=$service_url;?>/en/contacts" rel="nofollow" target="_blank">contact form</a>.<br>
        <br>
        <a href="<?=$service_url;?>/en/contacts" target="_blank">SiteGuarding.com</a> - Website Security. Professional security services against hacker activity.<br>
      </p>

    </div>


    <script>
      ajaxurl = '<?=$action;?>';
      ajaxurl = ajaxurl.replace(/&amp;/g, '&');
      jQuery( "#speedup-purge" ).click(function() {
        jQuery.post(
                ajaxurl,
                {
                  'action': 'speedup01_purge_all'
                },
                function(response)
                {
                  var json = jQuery.parseJSON( response );
                  if (json.hasOwnProperty('msg'))
                  {
                    alert(json['msg']);
                  }
                  if (json.hasOwnProperty('redirect'))
                  {
                    if (json['redirect'] != '') window.location.replace(json['redirect']);
                  }
                  window.location.reload();
                }
        ).fail(function() {
          alert('AJAX Error! Please contact support!');
        });

      });


      var is_speedup_enabled = <?=$is_speedup_enabled;?>

              jQuery( "#speedup-enable" ).click(function() {


        if (is_speedup_enabled == 1)
        {
          if (confirm("Are you sure you want to disable optimization?"))
          {
            // OK - disable
            jQuery.post(
                    ajaxurl,
                    {
                      'action': 'speedup01_enabled',
                      'status': 'disable'
                    },
                    function(response){
                      is_speedup_enabled = 0;
                      //jQuery('#wp-admin-bar-speedup-toggle-status a.ab-item').text("Enable Optimization (Current status: disabled)");

                      var json = jQuery.parseJSON( response );
                      if (json.hasOwnProperty('msg'))
                      {
                        alert(json['msg']);
                      }
                      if (json.hasOwnProperty('redirect'))
                      {
                        if (json['redirect'] != '') window.location.replace(json['redirect']);
                      }
                      window.location.reload();
                    }
            ).fail(function() {
              alert('AJAX Error! Please contact support!');
            });
          } else {
            // Cancel
          }
        }
        else {
          // Enable
          jQuery.post(
                  ajaxurl,
                  {
                    'action': 'speedup01_enabled',
                    'status': 'enable'
                  },
                  function(response){
                    is_speedup_enabled = 1;
                    //jQuery('#wp-admin-bar-speedup-toggle-status a.ab-item').text("Disable Optimization (Current status: enabled)");

                    var json = jQuery.parseJSON( response );
                    if (json.hasOwnProperty('msg'))
                    {
                      alert(json['msg']);
                    }
                    if (json.hasOwnProperty('redirect'))
                    {
                      if (json['redirect'] != '') window.location.replace(json['redirect']);
                    }
                    window.location.reload();
                  }

          ).fail(function() {
            alert('AJAX Error! Please contact support!');
          });
        }

      });

    </script>
	
	
	
  </div> 
</div>
<?php echo $footer; ?>